package com.yfd.platform.modules.algorithm.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.algorithm.domain.AlgorithmLogs;
import com.yfd.platform.modules.algorithm.mapper.AlgorithmLogsMapper;
import com.yfd.platform.modules.algorithm.service.IAlgorithmLogsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-20
 */
@Service
public class AlgorithmLogsServiceImpl extends ServiceImpl<AlgorithmLogsMapper, AlgorithmLogs> implements IAlgorithmLogsService {

    @Resource
    private AlgorithmLogsMapper algorithmLogsMapper;

    /**********************************
     * 用途说明: 分页查询算法分析日志
     * 参数说明 stationCode 变电站编码
     * 参数说明 algorithmId 算法分类
     * 参数说明 areaId 区域Id
     * 参数说明 bayId 间隔Id
     * 参数说明 mainDeviceId 主设备Id
     * 参数说明 componentId 部件Id
     * 参数说明 page 分页参数
     * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.yfd.platform.modules.algorithm.domain.AlgorithmLogs>
     ***********************************/
    @Override
    public Page<Map<String,Object>> getAlgorithmLogsPage(String stationCode, String algorithmId, String areaId, String bayId,
                                                         String mainDeviceId, String componentId, String componentName,String startDate,
                                                         String endDate, Page<AlgorithmLogs> page) {
        return algorithmLogsMapper.getAlgorithmLogsPage(stationCode,algorithmId, areaId, bayId,
                mainDeviceId, componentId,componentName,startDate,endDate, page);
    }
}
