package com.yfd.platform.modules.algorithm.service.impl;

import com.yfd.platform.modules.algorithm.domain.AlgorithmClassComponent;
import com.yfd.platform.modules.algorithm.service.IAlgorithmParamsService;
import com.yfd.platform.utils.SpringContextHolder;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

public class AlgorithmTaskJob implements Job {

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {

        IAlgorithmParamsService algorithmParamsService = SpringContextHolder.getBean(IAlgorithmParamsService.class);

        // 获取传递的任务参数
        Object jobData = context.getMergedJobDataMap().get("algorithmClassComponent");
        if (jobData instanceof AlgorithmClassComponent) {
            AlgorithmClassComponent component = (AlgorithmClassComponent) jobData;
            algorithmParamsService.callAlgorithmAnalyse(component.getAlgorithmId(), component.getComponentId());
            System.out.println("执行算法任务：" + component.getComponentId() +
                    "，触发时间：" + context.getScheduledFireTime());
        }
    }
}
