package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 变电站_主设备
 * </p>
 *
 *
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_substation_maindevice")
public class SubstationMaindevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主设备id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String mainDeviceId;

    /**
     * 主设备类型
     */
    private String deviceType;

    /**
     * 主设备名称
     */
    private String mainDeviceName;

    /**
     * 间隔id
     */
    private String bayId;

    /**
     * 间隔名称
     */
    private String bayName;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 出厂寿命
     */
    private String factoryLifespan;

    /**
     * 初始运行时间，设备第一次运行的时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime runTime;

    /**
     * 主设备效果图地址
     */
    private String fileUrl;

    /**
     * 关联点位id,用于展示主设备全景画面
     */
    private String deviceId;

    /**
     * 是否关联点位0:未关联；1:已关联
     */
    private String contactFlag;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private Integer custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

    /**
     * 实物ID
     */
    @TableField("material_id")
    private String materialId;


}
