package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.VoicePatrolLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-25
 */
public interface VoicePatrolLogMapper extends BaseMapper<VoicePatrolLog> {

    /**********************************
     * 用途说明:
     * 参数说明 page分页查看声纹检测数据
     * 参数说明 stationId 变电站Id
     * 参数说明 patroldeviceId 巡视设备Id
     * 参数说明 patroldeviceName 巡视设备名称
     * 参数说明 startDate 开始时间
     * 参数说明 endDate 结束时间
     * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<java.util.Map<java.lang.String,java.lang.Object>>
     ***********************************/
    Page<Map<String, Object>> getVoicePatrolPage(Page<Map<String, Object>> page, String stationId, String patroldeviceId, String patroldeviceName, String startDate, String endDate);

}
