package com.yfd.platform.modules.basedata.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.VoicePatrolLog;
import com.yfd.platform.modules.basedata.mapper.VoicePatrolLogMapper;
import com.yfd.platform.modules.basedata.service.IVoicePatrolLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-25
 */
@Service
public class VoicePatrolLogServiceImpl extends ServiceImpl<VoicePatrolLogMapper, VoicePatrolLog> implements IVoicePatrolLogService {

    @Resource
    private VoicePatrolLogMapper voicePatrolLogMapper;

    /**********************************
     * 用途说明:
     * 参数说明 page分页查看声纹检测数据
     * 参数说明 stationId 变电站Id
     * 参数说明 patroldeviceId 巡视设备Id
     * 参数说明 patroldeviceName 巡视设备名称
     * 参数说明 startDate 开始时间
     * 参数说明 endDate 结束时间
     * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<java.util.Map<java.lang.String,java.lang.Object>>
     ***********************************/
    @Override
    public Page<Map<String, Object>> getVoicePatrolPage(Page<Map<String, Object>> page,String stationId, String patroldeviceId,
                                                        String patroldeviceName, String startDate, String endDate) {
        return voicePatrolLogMapper.getVoicePatrolPage(page, stationId, patroldeviceId, patroldeviceName,startDate,endDate);
    }
}
